Bug 436651 - Nautilus crashes when moving files into/emptying trash
Nautilus crashes when moving files into/emptying trash
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 15:15 EST by Dennis Jacobfeuerborn
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 13:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Jacobfeuerborn 2008-03-08 15:15:54 EST
When I move files files into the trash or empty the trash bin nautilus crashes
and restarts.

I installed the nautilus-debuginfo, killed the running instance with "nautilus
-q" and then restartet it gdb with the --sync option to get the following backtrace:

#0  trash_state_changed_cb (monitor=0x83a5060, state=0, path_bar=0x8464388) at
nautilus-pathbar.c:211
	button_data = (ButtonData *) 0x8464388
	file = (GFile *) 0x862ecc0
	list = (GList *) 0xaaaaaaaa
#1  0x00d64f2a in g_cclosure_marshal_VOID__BOOLEAN () from /lib/libgobject-2.0.so.0
No symbol table info available.
#2  0x00d5615b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#3  0x00d6cb3d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#4  0x00d6e270 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#5  0x00d6e716 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#6  0x08139efd in update_info_cb (source_object=0x845d0c8, res=0x8446660,
user_data=0x83a5060)
    at nautilus-trash-monitor.c:128
	trash_monitor = (NautilusTrashMonitor *) 0x83a5060
	info = (GFileInfo *) 0xb7279468
	icon = <value optimized out>
	names = <value optimized out>
	empty = -1222639600
#7  0x03a9ba47 in g_simple_async_result_complete () from /lib/libgio-2.0.so.0
No symbol table info available.
#8  0x0026c0a2 in ?? () from /usr/lib/gio/modules/libgvfsdbus.so
No symbol table info available.
#9  0x0026bbd0 in ?? () from /usr/lib/gio/modules/libgvfsdbus.so
No symbol table info available.
#10 0x00273606 in ?? () from /usr/lib/gio/modules/libgvfsdbus.so
No symbol table info available.
#11 0x002781ca in ?? () from /usr/lib/gio/modules/libgvfsdbus.so
No symbol table info available.
#12 0x0030cb51 in ?? () from /lib/libdbus-1.so.3
No symbol table info available.
#13 0x002fc006 in ?? () from /lib/libdbus-1.so.3
No symbol table info available.
#14 0x002fdbfc in dbus_connection_dispatch () from /lib/libdbus-1.so.3
No symbol table info available.
#15 0x00276b3d in ?? () from /usr/lib/gio/modules/libgvfsdbus.so
No symbol table info available.
---Type <return> to continue, or q <return> to quit--- 
#16 0x00b5a0b8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#17 0x00b5d763 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#18 0x00b5dc82 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#19 0x0335d711 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#20 0x0807c46c in main (argc=2, argv=0xbfa6b774) at nautilus-main.c:569
	kill_shell = 0
	restart_shell = 0
	no_default_window = 0
	browser_window = 0
	no_desktop = 0
	startup_id = <value optimized out>
	startup_id_copy = 0x8322fd0 "icon_position"
	session_to_load = 0x0
	geometry = (gchar *) 0x0
	remaining = (const gchar **) 0x0
	context = <value optimized out>
	application = (NautilusApplication *) 0x8313850
	program = (GnomeProgram *) 0x82f9458
	options = {{long_name = 0x8151943 "geometry", short_name = 103 'g', flags = 0,
arg = G_OPTION_ARG_STRING, 
    arg_data = 0xbfa6b648, description = 0x814e884 "Create the initial window
with the given geometry.", 
    arg_description = 0x814e6a9 "GEOMETRY"}, {long_name = 0x814e6b2
"no-default-window", short_name = 110 'n', 
    flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfa6b658, 
    description = 0x814e8b8 "Only create windows for explicitly specified
URIs.", arg_description = 0x0}, {
    long_name = 0x814e6c4 "no-desktop", short_name = 0 '\0', flags = 0, arg =
G_OPTION_ARG_NONE, 
    arg_data = 0xbfa6b650, 
    description = 0x814e8ec "Do not manage the desktop (ignore the preference
set in the preferences dialog).", 
    arg_description = 0x0}, {long_name = 0x81509fc "browser", short_name = 0
'\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0xbfa6b654, description = 0x814e6cf "open a browser window.",
arg_description = 0x0}, {
    long_name = 0x814e809 "quit", short_name = 113 'q', flags = 0, arg =
G_OPTION_ARG_NONE, arg_data = 0xbfa6b660, 
    description = 0x814e6e6 "Quit Nautilus.", arg_description = 0x0}, {long_name
= 0x814e810 "restart", 
    short_name = 0 '\0', flags = 1, arg = G_OPTION_ARG_NONE, arg_data = 0xbfa6b65c, 
    description = 0x814e6f5 "Restart Nautilus.", arg_description = 0x0},
{long_name = 0x8152ab4 "", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_STRING_ARRAY, arg_data =
0xbfa6b644, description = 0x0, 
    arg_description = 0x814e707 "[URI...]"}, {long_name = 0x814ade7
"load-session", short_name = 108 'l', flags = 0, 
    arg = G_OPTION_ARG_STRING, arg_data = 0xbfa6b64c, 
---Type <return> to continue, or q <return> to quit---
    description = 0x814e940 "Load a saved session from the specified file.
Implies \"--no-default-window\".", 
    arg_description = 0x814e710 "FILENAME"}, {long_name = 0x0, short_name = 0
'\0', flags = 0, 
    arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description
= 0x0}}


That 0xaaaaaaaa pointer looks pretty bogus to me.

Note You need to log in before you can comment on or make changes to this bug.